CVE-2005-2530
CVSS10.0
发布时间 :2005-12-31 00:00:00
修订时间 :2016-11-28 14:06:35
NMCOS    

[原文]Unspecified vulnerability in Java 1.3.1 before 1.3.1_16 on Apple Mac OS X allows an untrusted applet to gain privileges, related to "Mac OS X specific extensions."


[CNNVD]Apple Mac OS X不信任Java Applet权限升级漏洞(CNNVD-200512-667)

        Apple Mac OS X上的Java 1.3.1中低于1.3.1_16的版本存在未明漏洞,因此一个未信任applet可以获取权限,与"Mac OS X特定扩展名"有关。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-2530
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-2530
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-667
(官方数据源) CNNVD

- 其它链接及资源

http://docs.info.apple.com/article.html?artnum=302265
(UNKNOWN)  CONFIRM  http://docs.info.apple.com/article.html?artnum=302265
http://lists.apple.com/archives/security-announce/2005/Sep/msg00001.html
(UNKNOWN)  APPLE  APPLE-SA-2005-09-13
http://secunia.com/advisories/16808
(UNKNOWN)  SECUNIA  16808
http://www.ciac.org/ciac/bulletins/p-306.shtml
(UNKNOWN)  CIAC  P-306
http://www.securityfocus.com/bid/14826
(UNKNOWN)  BID  14826
http://www.vupen.com/english/advisories/2005/1734
(UNKNOWN)  VUPEN  ADV-2005-1734
http://xforce.iss.net/xforce/xfdb/22265
(UNKNOWN)  XF  macos-untrusted-applet-gain-privileges(22265)

- 漏洞信息

Apple Mac OS X不信任Java Applet权限升级漏洞
危急 设计错误
2005-12-31 00:00:00 2006-08-08 00:00:00
远程  
        Apple Mac OS X上的Java 1.3.1中低于1.3.1_16的版本存在未明漏洞,因此一个未信任applet可以获取权限,与"Mac OS X特定扩展名"有关。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://www.apple.com/support/downloads/javasecurityupdate.html
        

- 漏洞信息

19396
Java on Mac OS X Untrusted Applet Extension Privilege Escalation

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-09-02 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Apple Mac OS X Untrusted Java Applet Privilege Escalation Vulnerability
Design Error 14826
Yes No
2005-09-13 12:00:00 2009-07-12 05:06:00
This issue was reported by the vendor.

- 受影响的程序版本

Apple Mac OS X Server 10.3.9
Apple Mac OS X Server 10.3.8
Apple Mac OS X Server 10.3.7
Apple Mac OS X Server 10.3.6
Apple Mac OS X Server 10.3.5
Apple Mac OS X Server 10.3.4
Apple Mac OS X Server 10.3.3
Apple Mac OS X Server 10.3.2
Apple Mac OS X Server 10.3.1
Apple Mac OS X Server 10.3
Apple Mac OS X 10.3.9
Apple Mac OS X 10.3.8
Apple Mac OS X 10.3.7
Apple Mac OS X 10.3.6
Apple Mac OS X 10.3.5
Apple Mac OS X 10.3.4
Apple Mac OS X 10.3.3
Apple Mac OS X 10.3.2
Apple Mac OS X 10.3.1
Apple Mac OS X 10.3
Apple Mac OS X Server 10.4.2
Apple Mac OS X Server 10.4.1
Apple Mac OS X Server 10.4
Apple Mac OS X 10.4.2
Apple Mac OS X 10.4.1
Apple Mac OS X 10.4

- 不受影响的程序版本

Apple Mac OS X Server 10.4.2
Apple Mac OS X Server 10.4.1
Apple Mac OS X Server 10.4
Apple Mac OS X 10.4.2
Apple Mac OS X 10.4.1
Apple Mac OS X 10.4

- 漏洞讨论

Apple Mac OS X is prone to a vulnerability that can allow an untrusted Java applet to gain elevated privileges.

It is conjectured that this could allow the applet to access resources with the privilege level of the user running the applet, potentially allowing the applet to read, write, or execute files on the system that are accessible to the user.

It should be noted that this issue is only specific to Java running on Mac OS X 10.3.9 and prior.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

Apple has released an update to address this issue in Mac OS X v10.3.9.


Apple Mac OS X 10.3.9

Apple Mac OS X Server 10.3.9

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站